> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# `POST /api/v1/negotiations`

> `POST /api/v1/negotiations`

### Request body

`CreateNegotiationRequest`

<ParamField body="auto_accept_below" type="string,null" />

<ParamField body="auto_reject_above" type="string,null" />

<ParamField body="buyer_agent_id" type="string" required />

<ParamField body="currency" type="string,null" />

<ParamField body="expires_in_hours" type="integer,null (int32)" />

<ParamField body="initial_offer" type="string" required />

<ParamField body="max_rounds" type="integer,null (int32)" />

<ParamField body="seller_agent_id" type="string" required />

### Responses

<ResponseField name="201" type="NegotiationResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/negotiations' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "auto_accept_below": null,
    "auto_reject_above": null,
    "buyer_agent_id": "string",
    "currency": null,
    "expires_in_hours": null,
    "initial_offer": "string",
    "max_rounds": null,
    "seller_agent_id": "string"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "buyer_agent_id": "string",
    "created_at": "string",
    "currency": "string",
    "current_offer": "string",
    "id": "string",
    "max_rounds": 1,
    "offer_count": 1,
    "rounds": 1,
    "seller_agent_id": "string",
    "status": "string"
  }
  ```
</ResponseExample>
